# $Revision: 1.27 $, $Date: 2006/12/21 15:49:30 $
Summary:	CVSspam emails you diffs when someone commits a change to your CVS repository
Summary(pl):	CVSspam - wysyanie rnic po wykonaniu zmiany w repozytorium CVS
Name:		cvsspam
Version:	0.2.12
Release:	7
License:	GPL
Group:		Applications/System
Source0:	http://www.badgers-in-foil.co.uk/projects/cvsspam/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0afa4fbaf1c9edb27385e46337f80f4b
Patch100:	%{name}-branch.diff
URL:		http://www.badgers-in-foil.co.uk/projects/cvsspam/
BuildRequires:	rpmbuild(macros) >= 1.277
Requires:	cvs
%{?ruby_mod_ver_requires_eq}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_datadir	%{_prefix}/share/%{name}

%description
CVSspam sends email when a change is committed to the CVS repository.
Syntax-highlighted diffs describe the changes made, and links to Web
frontends on CVS and bug tracking systems are generated where
possible.

%description -l pl
CVSspam wysya wiadomo po wykonaniu zmiany w repozytorium CVS.
Rnice z podwietlaniem skadni opisuj wykonane zmiany, a jeli to
moliwe, generowane s odnoniki do frontendw WWW do CVS i systemw
ledzenia bdw.

%prep
%setup -q
%patch100 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir},%{_sysconfdir}}

install {collect_diffs,cvsspam,record_lastdir}.rb $RPM_BUILD_ROOT%{_datadir}
install cvsspam.conf $RPM_BUILD_ROOT%{_sysconfdir}

ln -s %{_datadir} $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

# make compat symlink, the symlink is discarded using %ghost on package uninstall
%triggerpostun -- cvsspam < 0.2.11-5.3
# need rmdir, because the path belongs to new package (is %ghosted) and therefore is not removed by rpm
rmdir %{_libdir}/%{name} 2>/dev/null || mv -v %{_libdir}/%{name}{,.rpmsave}
ln -s %{_datadir} %{_libdir}/%{name}
%banner %{name} -e <<EOF
NOTE:
The cvsspam programs have been moved to %{_datadir}.
I've created compat symlink so you don't feel so much pain of that.

EOF

%files
%defattr(644,root,root,755)
%doc CREDITS TODO cvsspam-doc.pdf cvsspam-doc.html
%dir %{_datadir}
%attr(755,root,root) %{_datadir}/*
%ghost %{_libdir}/%{name}
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvsspam.spec,v $
Revision 1.27  2006/12/21 15:49:30  glen
- add branch.diff; rel 7

Revision 1.26  2006/03/02 20:03:45  glen
- issue xxx patch, rel 6

Revision 1.25  2006/02/28 09:39:32  glen
- add patch to have X-CVSspam-Module-Path: header in commits; rel 5

Revision 1.24  2005/12/31 10:36:32  twittner
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.23  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.22  2005/12/27 08:53:38  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.21  2005/11/17 17:36:51  glen
- include log link if cvsweb configured; rel 3

Revision 1.20  2005/07/26 20:05:38  glen
- add patch from mailinglist to properly encode HOOK and EQUALS in subject
- rel 2

Revision 1.19  2005/07/14 15:13:49  glen
- 0.2.12

Revision 1.18  2005/07/06 21:03:36  glen
- rel 7; STBR

Revision 1.17  2005/05/19 10:22:38  glen
- add patch to wrap cvs commits

Revision 1.16  2005/05/14 21:10:12  glen
- add mail threading feature

Revision 1.15  2005/04/02 00:09:27  glen
- rel 6; STBR

Revision 1.14  2005/03/27 21:53:45  glen
- safer trigger

Revision 1.13  2005/03/27 21:50:38  glen
- FHS
- noarch

Revision 1.12  2005/02/27 18:28:33  glen
- add fix for trailing slash in $CVSROOT

Revision 1.11  2005/02/21 20:03:01  glen
- -kb binary hint and encode personal name in CVSROOT/users patches

Revision 1.10  2005/02/17 22:07:04  glen
- rel 5; STBR

Revision 1.9  2005/02/16 20:40:52  glen
- another bugfix

Revision 1.8  2005/02/16 19:03:13  glen
- add patch for anchor numbering bug
- rel 4

Revision 1.7  2005/02/16 14:18:37  glen
- rel 3
- STBR

Revision 1.6  2005/02/16 14:15:36  glen
- put programs to libdir, you don't need them in your $PATH

Revision 1.5  2005/02/15 22:02:29  glen
- --charset arg support (a patch of mine)

Revision 1.4  2005/02/15 20:42:33  glen
- add CVSROOT/users quote patch
- rel 2

Revision 1.3  2005/02/13 21:19:12  glen
- adapterized
- rel 1
- STBR

Revision 1.2  2005/02/13 19:07:09  qboosh
- pl

Revision 1.1  2005/02/13 15:32:27  glen
- new
